| 1.0.2 API documentation

Functions
Matrix functions
Core features

## Functions
template<length_t C, length_t R, typename T , qualifier Q>
GLM_FUNC_DECL mat< C, R, T, Q > | inverse (mat< C, R, T, Q > const &m)
| Return the inverse of a squared matrix. More...

## Detailed Description

Provides GLSL matrix functions.

Include <glm/matrix.hpp> to use these core features.

## Function Documentation

## ◆ inverse()

GLM_FUNC_DECL mat<C, R, T, Q> glm::inverse | ( | mat< C, R, T, Q > const & | m | ) |

Return the inverse of a squared matrix.

Template Parameters

  C | Integer between 1 and 4 included that qualify the number a column
  R | Integer between 1 and 4 included that qualify the number a row
  T | Floating-point scalar types
  Q | Value from qualifier enum

See also
  GLSL inverse man page
  GLSL 4.20.8 specification, section 8.6 Matrix Functions